package com.happy.service;

import com.happy.Model.HotelCouponStatus;

import java.util.List;

public interface HotelCoupomStatusService {
    /**
     * 描述：批量失效
     */
    int updateLapse(List<String> id);

    /**
     * 描述：定时任务 批量过期
     */
    int updateExpir(String dateTime);

    int insert(HotelCouponStatus hotelCouponStatus);

    /**
     * 通过id获取数据
     * @param id
     * @return
     */
    HotelCouponStatus getById(String id);

    int update(HotelCouponStatus hotelCouponStatus);

    List<HotelCouponStatus> getBookingId(String bookingId);

    /**
     * 通过订单id返还优惠券
     * @param list
     * @return
     */
    int restitution(List<HotelCouponStatus> list);

}
